Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Updates the labware signature for the given labware at the given deck position

Request

Labware recognition is done by computing signatures of each labware at each position. If the recognition accuracy is poor for a particular labware in a specific position, the signature can be updated. This is done by placing the labware at the position and calling this method. The camera will take a image and update the signature. Warning: this operation cannot be undone or reverted other then restoring the entire catalog. Make sure the correct labware is placed in the correct position before calling this.

Security
Bearer
Bodyapplication/json
labwareIdinteger(int32)

The id of the labware

positionIdinteger(int32)

The deck position id

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/labware-signature/update' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "labwareId": 0,
    "positionId": 0
  }'

Responses

Success

Response
No content

Export the set of labware signatures from the system

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/labware-signature/export' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Exported zip file containing all the labware signatures

Bodyapplication/json
string(binary)
Response
application/json
"string"

Import the set of labware signatures into the system

Request

Security
Bearer
Bodymultipart/form-data
FilesArray of strings(binary)

The file(s)

OverwriteAllboolean

Whether or not existing files should be overwritten

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/labware-signature/import' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F Files=string \
  -F OverwriteAll=true

Responses

The result of the labware signature import

Bodyapplication/jsonArray [
namestring or null
resultstring or null
]
Response
application/json
[ { "name": "string", "result": "string" } ]

Creates a labware signature for a new labware using the provided deck image and position.

Request

Creates a labware signature for a new labware using the provided deck image and position. Note: Only for new labware and does not import.

Security
Bearer
Bodymultipart/form-data
FileArray of strings(binary)

The deck image PNG file compressed file

PositionIDinteger(int32)

The given position to create the signature for

ReferenceLabwareIdstring

The reference ID of the labware to create the signature for

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/labware-signature/create' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -F File=string \
  -F PositionID=0 \
  -F ReferenceLabwareId=string

Responses

Success

Response
No content

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations